Bug 1452363 - Raw methods exposed for Cloud Tenant instead of non-raw
Summary: Raw methods exposed for Cloud Tenant instead of non-raw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: unspecified
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: GA
: 5.7.3
Assignee: Andrey
QA Contact: Oleksandr Kolisnyk
URL:
Whiteboard: openstack
Depends On: 1451835
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 18:47 UTC by Satoe Imaishi
Modified: 2017-06-28 15:03 UTC (History)
8 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1451835
Environment:
Last Closed: 2017-06-28 15:03:41 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-18 18:50:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/13396127f31c2c72892220c0910590575789ae63

commit 13396127f31c2c72892220c0910590575789ae63
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 10 08:51:15 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 18 14:48:39 2017 -0400

    Merge pull request #15 from andyvesel/edit_exposed_methods_for_tenant
    
    Edit exposed methods for Cloud Tenant
    (cherry picked from commit 0a87c347894455909a4f3862ebe0b43e9395be5a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1452363

 .../service_models/miq_ae_service_cloud_tenant.rb                 | 4 ++--
 .../service_methods/miq_ae_service_cloud_tenant_spec.rb           | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

Comment 3 Oleksandr Kolisnyk 2017-06-16 09:04:45 UTC
Performed all steps to reproduce, "tenant.delete_cloud_tenant" and "tenant.update_cloud_tenant" are present in output.
Verified

Comment 5 errata-xmlrpc 2017-06-28 15:03:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.